GETSUN(1)

NAME
getsun - get RLE images to a sun window

SYNOPSIS
getsun [ -{wW} ] [ -D ] [ -l levels ] [ -{iI} image_gamma ] [ -g display_gamma ] [ file ]

DESCRIPTION
This program displays an RLE(5) file in a sun window display. It uses a dithering technique to take a full-color or gray scale image into the limited number of colors available under sun windows. Its default behavior is to try to display the image in color with as many brightness levels as possible (except on a one bit deep display), options are provided to limit the number of levels or to force black and white display. Several getsun processes running simultaneously with the same color resolution will share color map entries. Other options allow control over the gamma, or contrast, of the image. The dithering process assumes that the incoming image has a gamma of 1.0 (i.e., a 200 in the input represents an intensity twice that of a 100.) If this is not the case, the input values must be adjusted before dithering via the -i or -I option. The input file may also specify the gamma of the image via a picture comment (see below). The output display is assumed to have a gamma of 2.5 (standard for color TV monitors). This may be modified via the -g option if a display with a different gamma is used. Getsun creates a sun window the size of the image being displayed. The header of the new window displays the name of the image being displayed and its size.

OPTIONS

-w  This flag forces getsun to produce a gray scale dithered image instead of a color image. Color input will be transformed to black and white via the NTSC Y transform. On a low color resolution display (a display with only 4 bits, for example), this will produce a much smoother looking image than color dithering. It may be used in conjunction with -l to produce an image with a specified number of gray levels.

-W  This flag forces getsun to display the image as a black and white bitmap image. This is the only mode available on monochrome (non gray scale) displays (and is the default there). Black pixels will be displayed with pixel value 0 and white with pixel value 1.

-D  "Debug mode". The operations in the input RLE(5) file will be printed as they are read.

-l levels
    Specify the number of gray or color levels to be used in the dithering process. The default is 5 except on monochrome (non gray scale) displays. Levels must be in the range .

-i image_gamma
    Specify the gamma (contrast) of the image. A low contrast image, suited for direct display without compensation on a high contrast monitor (as most monitors are) will have a gamma of less than one. The default image gamma is 1.0. Image gamma may also be specified by a picture comment in the RLE (5) file of the form image_gamma=gamma. The command line argument will override the value in the file if specified.

-I image_gamma
    An alternate method of specifying the image gamma, the number following -I is the gamma of the display for which the image was originally computed (and is therefore 1.0 divided by the actual gamma of the image). Image display gamma may also be specified by a picture comment in the RLE (5) file of the form display_gamma=gamma. The command line argument will override the value in the file if specified.

-g display_gamma
    Specify the gamma of the sun display monitor. The default value is 2.5, suitable for most color TV monitors (this is the gamma value assumed by the NTSC video standard).

infile
    Name of the RLE(5) file to display. If not specified, the image will be read from the standard input.

SEE ALSO
getx11(1), urt(1), RLE(5).

AUTHOR
Philip J. Klimbal, RIACS

BUGS
Single channel input files with color map should be displayed as such by loading the colormap directly, instead of mapping the input to 24 bits and then dithering back to 8.